package com.yc.education.mapper;

import com.yc.education.model.SuccessCase;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Hickey
 * @create 2019-07-25 10:21
 */
public interface SuccessCaseMapper  extends MyMapper<SuccessCase> {

    //前台 查询所有案列并分页
    List<SuccessCase> listAllCase(@Param("id") Integer id);

    //后台  查询所有案例  分页 多条件查询
    List<SuccessCase> manageAllCase(@Param("id") Integer id,@Param("name") String name);

    //后台  根据选中案例id进行批量删除
    int  deleteCaseArray(int [] caseArray);

    //前台   服务支持推荐案例  根据状态查推荐案例
    List<SuccessCase> findCaseByState();

    //前台首页  轮播内容 根据需求查询某个类别案例下的所有推荐信息
    List<SuccessCase> listCaseByCondition();

}
